---
search:
  tags:
    - Scheduling
    - GET
seo:
  description: >-
    Retrieves all scheduled jobs for an application with pagination… Reference
    for the GET /api/v1/{team_slug}/{app_slug}/schedule endpoint in the
    Management API.
sidebar:
  label: List Scheduled Jobs
  badge: GET
title: List Scheduled Jobs
type: openapi-operation
---
Retrieves all scheduled jobs for an application with pagination and optional date range filtering. Supports filtering by execution date range.

`GET /api/v1/{team_slug}/{app_slug}/schedule`

**Responses**

- `200` — Scheduled jobs
- `400` — Invalid request (e.g. bad query params)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "add_category_names": [
        "string"
      ],
      "add_collection_names": [
        "string"
      ],
      "add_tag_names": [
        "string"
      ],
      "execute_at": "string",
      "finished_at": "string",
      "group_id": "string",
      "id": "string",
      "item_id": "string",
      "item_name": "string",
      "item_type": "string",
      "remove_category_names": [
        "string"
      ],
      "remove_collection_names": [
        "string"
      ],
      "remove_tag_names": [
        "string"
      ],
      "to_amount_cents_with_tax": 0,
      "to_market_id": "string",
      "to_market_status": "string",
      "to_on_sale": true,
      "to_sale_amount_cents_with_tax": 0,
      "to_start_sale_timestamp": "string",
      "to_status": "string",
      "to_stop_sale_timestamp": "string",
      "to_store_group_id": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
